<?php

// require('branchdata.class.php');

class DataProvider
{
    function __construct(public $source)
    {
        $this->source = $source;
    }

    public function get_records($num_per_page)
    {
    }

    public function get_records_prev($num_per_page)
    {
    }

    public function add_record_code($date, $promocode, $receiptNo)
    {

    }
    public function add_record_ticket( $promocode, $fullname)
    {
    }
    public function select_record_registered($receiptNo)
    {
    }
    public function get_record_item()
    {
    }

    public function get_record_login($username, $password)
    {
    }

    public function get_record_login_date()
    {
    }

    public function add_user_to_history($data)
    {
    }

    public function get_record_is_online($username)
    {
    }

    public function get_record_is_locked($username)
    {
    }

    public function add_user_to_online($username)
    {
    }

    public function search_record($search, $whereto)
    {
    }

   public function add_record($fname,
    $minitial,
    $lname,
    $address,
    $age,
    $registeredEmail,
    $contactNumber,
    $unitName,
    $dateOfPurch,
    $receiptNumber,
    $receiptAmount,
    $target
    ) {
    }

    public function update_term($original_term, $new_term, $definition)
    {
    }

    public function delete_record($username)
    {
    }
}
